Package be.vlaanderen.mercurius.vsb.common.v2

# Class PushRequestType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.PushRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public abstract class PushRequestType extends Object implements Serializable
generiek type dat als basis dient voor elk push-type

Java class for PushRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PushRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ProcessingDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Receiver" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}CareEntityCodeType"/>
             <element name="Reason" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}ReasonType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getProcessingDateTime()`
  De datum waarop de push aangemaakt werd
  `String`
  `getReason()`
  Reden waarom de push wordt uitgestuurd.
  `String`
  `getReceiver()`
  De bestemmeling van de push: dit is het zorgkasnummer ("999" voor het ZF) of BELRAI_VL.
  `void`
  `setProcessingDateTime(Instant value)`
  Sets the value of the processingDateTime property.
  `void`
  `setReason(String value)`
  Sets the value of the reason property.
  `void`
  `setReceiver(String value)`
  Sets the value of the receiver property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PushRequestType

    public PushRequestType()

- ## Method Details

  - ### getProcessingDateTime

    public Instant getProcessingDateTime()
    De datum waarop de push aangemaakt werd
    Returns:
      possible object is `String`

  - ### setProcessingDateTime

    public void setProcessingDateTime(Instant value)
    Sets the value of the processingDateTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProcessingDateTime()`

  - ### getReceiver

    public String getReceiver()
    De bestemmeling van de push: dit is het zorgkasnummer ("999" voor het ZF) of BELRAI_VL.
    Returns:
      possible object is `String`

  - ### setReceiver

    public void setReceiver(String value)
    Sets the value of the receiver property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReceiver()`

  - ### getReason

    public String getReason()
    Reden waarom de push wordt uitgestuurd.
    Returns:
      possible object is `String`

  - ### setReason

    public void setReason(String value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReason()`